

-- display what spell is being cast (and set the border, end, min, max)
function RogueRotationHelper:ShowSpellCast(spell, displayName, icon, startTime, endTime, notInterruptible, channel)
    if spell then
        local castbar = self.displayFrame_castbar
        --local r, g, b, a = 1, .8, 0, 1
        
        RogueRotationHelper.db.profile.castSettings.isCasting = true
        
        if notInterruptible then 
        else 
            if self.db.profile.SuggestKick and self.db.profile.SoundEnabled then
                PlaySoundFile(self.db.profile.SpellSounds["Kick"], "MASTER")
            end
        end
        
        --castbar:SetScript("OnUpdate", UpdateSpellCast)	
    end
end
    
-- OnUpdateCast: called from when the main frame notices somethign happening with the target
function RogueRotationHelper:OnUpdateCast()
    local castbar = self.displayFrame_castbar
    
    local spell, name, icon, start, finish, _
    local channel = false
    
    -- Get Updated Casting Info
    spell, _, name, icon, start, finish, _, _, noInt = UnitCastingInfo("target")
    if not spell then 
        spell, _, name, icon, start, finish, _, _, noInt = UnitChannelInfo("target")
        channel = true
    end	
    
    -- update depending on if there's no spell, the spell is over, or if a spell needs to be set up
    if not spell then
        self:StopSpellCast()
    else    
        self:ShowSpellCast(spell, name, icon, start, finish, noInt, channel) 
    end
end	

